**Source URL:** https://limited.veevavault.dev/safety/vault-api/api-reference/23.3/picklists/create-picklist-values.md

# Create Picklist Values



Add new values to a picklist. You can add up to 1024 values to any picklist.

<Endpoint path="/api/{version}/objects/picklists/{picklist_name}" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{picklist_name}` | The picklist `name` field value (`license_type__v`, `product_family__c`, `region__c`, etc.) |
</FieldTable>

## Request Details {#request-details}

To add new values, use `value_1`, `value_2`, etc., set to alphanumeric values. Enter each new picklist value `label` as they will be displayed in the UI. Vault uses the `label` to create the picklist value `name`.

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "value_1=North America" \
-d "value_2=Central America" \
-d "value_3=South America" \
https://myvault.veevavault.com/api/v15.0/objects/picklists/regions__c

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "responseMessage": "Created picklist value(s).",
  "picklistValues": [
    {
      "name": "north_america__c",
      "label": "North America"
    },
    {
      "name": "central_america__c",
      "label": "Central America"
    },
    {
      "name": "south_america__c",
      "label": "South America"
    }
  ]
}

```
</CodeExample>

## Response Details {#response-details}



---

**Previous:** [Retrieve Picklist Values](/safety/vault-api/api-reference/23.3/picklists/retrieve-picklist-values)  
**Next:** [Update Picklist Value Label](/safety/vault-api/api-reference/23.3/picklists/update-picklist-value-label)